ROX-CLib: rox_filer_action.h File Reference

- Main Page
- Data Structures
- Files
- Related Pages

- File List
- Globals

# rox_filer_action.h File Reference

Drive the filer via the SOAP calls. More...

## Defines
#define | ROX_NAMESPACE_URL "http://rox.sourceforge.net/SOAP/ROX-Filer"
#define | ROX_FILER_DEFAULT (-1)
#define | ROX_FILER_ACTION_ERROR 0x1100
## Typedefs
typedef enum rox_panel_side | ROXPanelSide
## Enumerations
enum | rox_panel_side { ROXPS_TOP, ROXPS_BOTTOM, ROXPS_LEFT, ROXPS_RIGHT }
## Functions
void | rox_filer_open_dir (const char *filename)
void | rox_filer_close_dir (const char *filename)
void | rox_filer_examine (const char *filename)
void | rox_filer_panel (const char *name, ROXPanelSide side)
void | rox_filer_panel_add (ROXPanelSide side, const char *path, int after)
void | rox_filer_pinboard (const char *name)
void | rox_filer_pinboard_add (const char *path, int x, int y)
void | rox_filer_run (const char *filename)
void | rox_filer_show (const char *directory, const char *leafname)
void | rox_filer_copy (const char *from, const char *to, const char *leafname, int quiet)
void | rox_filer_move (const char *from, const char *to, const char *leafname, int quiet)
void | rox_filer_link (const char *from, const char *to, const char *leafname)
void | rox_filer_mount (const char *mountpoint, int quiet, int opendir)
char * | rox_filer_version (void)
char * | rox_filer_file_type (const char *file)
const char * | rox_filer_get_last_error (void)
int | rox_filer_have_error (void)
void | rox_filer_clear_error (void)

## Detailed Description

Drive the filer via the SOAP calls.

Author:
  Stephen Watson

Version:
  Id
    rox_filer_action.h,v 1.7 2005/12/07 11:45:02 stephen Exp

## Define Documentation

#define ROX_FILER_ACTION_ERROR 0x1100

Errors generated by rox_filer_action are in the range ROX_FILER_ACTION_ERROR to ROX_FILER_ACTION_ERROR+0xff

#define ROX_FILER_DEFAULT (-1)

Use default setting of option

#define ROX_NAMESPACE_URL "http://rox.sourceforge.net/SOAP/ROX-Filer"

Name space of ROX-Filer's SOAP messages

## Typedef Documentation

typedef enum rox_panel_side ROXPanelSide

Available panels.

## Enumeration Type Documentation

enum rox_panel_side

Available panels.

Enumerator:

  ROXPS_TOP | Panel is on the top of the screen
  ROXPS_BOTTOM | Panel is on the bottom of the screen
  ROXPS_LEFT | Panel is on the left of the screen
  ROXPS_RIGHT | Panel is on the right of the screen

## Function Documentation

void rox_filer_clear_error | ( | void |  | ) |

Clear any recorded error.

Deprecated:
  use rox_error_queue_flush() instead.

void rox_filer_close_dir | ( | const char * | filename | ) |

Call the CloseDir method

Parameters:

  `[in]` | filename | name of directory to close.

void rox_filer_copy | ( | const char * | from,
|  | const char * | to,
|  | const char * | leafname,
|  | int | quiet |
| ) |  |  |

Copy a file. If leafname is `NULL` then copy object from to destination to, otherwise copy leafname in directory from to directory to.

Parameters:

  `[in]` | from | object to copy or directory file is in
  `[in]` | to | path to copy object to, or destination directory.
  `[in]` | leafname | if not `NULL` the file in from to be copied to directory to.
  `[in]` | quiet | if `TRUE` then the operation is quiet (no confirmation required), if `FALSE` then confirmation is needed. If ROX_FILER_DEFAULT then the setting is taken from the filer's current options.

void rox_filer_examine | ( | const char * | filename | ) |

Call the Examine method

Parameters:

  `[in]` | filename | name of file to examine.

char* rox_filer_file_type | ( | const char * | file | ) |

Determine the MIME type of a file by asking ROX-Filer.

Parameters:

  `[in]` | file | name of file to identify

Returns:
  MIME type of file, in form "media/sub-type" (pass to g_free() when done), or `NULL` if failed

const char* rox_filer_get_last_error | ( | void |  | ) |

Deprecated:
  use rox_error_queue_fetch() instead.
  Returns:
    text string containing last known error, do not free

int rox_filer_have_error | ( | void |  | ) |

Check for error in talking to ROX-Filer. Errors are not normally reported back to the caller, but are recorded. Only the most recent error is returned.

Deprecated:
  use rox_error_queue_empty() instead.

Returns:
  non-zero if an error is recorded.

void rox_filer_link | ( | const char * | from,
|  | const char * | to,
|  | const char * | leafname |
| ) |  |  |

Create a symbolic link. If leafname is `NULL` then link object from to destination to, otherwise link leafname in directory from to directory to.

Parameters:

  `[in]` | from | object to link or directory file is in
  `[in]` | to | path to create link, or destination directory.
  `[in]` | leafname | if not `NULL` the file in from to be linked to directory to.

void rox_filer_mount | ( | const char * | mountpoint,
|  | int | quiet,
|  | int | opendir |
| ) |  |  |

Mount a known mountpoint (defined in /etc/fstab or /etc/vfstab).

Parameters:

  `[in]` | mountpoint | path to mount point defined in system file
  `[in]` | quiet | if `TRUE` then the operation is quiet (no confirmation required), if `FALSE` then confirmation is needed. If ROX_FILER_DEFAULT then the setting is taken from the filer's current options.
  `[in]` | opendir | if `TRUE` then a new filer window is opened for the mounted directory. If ROX_FILER_DEFAULT then the setting is taken from the filer's current options.

void rox_filer_move | ( | const char * | from,
|  | const char * | to,
|  | const char * | leafname,
|  | int | quiet |
| ) |  |  |

Move a file. If leafname is `NULL` then move object from to destination to, otherwise move leafname in directory from to directory to.

Parameters:

  `[in]` | from | object to move or directory file is in
  `[in]` | to | path to move object to, or destination directory.
  `[in]` | leafname | if not `NULL` the file in from to be moved to directory to.
  `[in]` | quiet | if `TRUE` then the operation is quiet (no confirmation required), if `FALSE` then confirmation is needed. If ROX_FILER_DEFAULT then the setting is taken from the filer's current options.

void rox_filer_open_dir | ( | const char * | filename | ) |

Call the OpenDir method

Parameters:

  `[in]` | filename | name of directory to open.

void rox_filer_panel | ( | const char * | name,
|  | ROXPanelSide | side |
| ) |  |  |

Call the Panel method to set the panel on a side.

Parameters:

  `[in]` | name | name of the panel
  `[in]` | side | side of the screen to place the panel

void rox_filer_panel_add | ( | ROXPanelSide | side,
|  | const char * | path,
|  | int | after |
| ) |  |  |

Add an object to a panel.

Parameters:

  `[in]` | side | the panel to add to
  `[in]` | path | path name of object to be added.
  `[in]` | after | if `FALSE` the object is added to the end of the group of icons at the start, otherwise is is added to the start of the icons at the end.

void rox_filer_pinboard | ( | const char * | name | ) |

Set the name of the pinboard.

Parameters:

  `[in]` | name | name of the panel.

void rox_filer_pinboard_add | ( | const char * | path,
|  | int | x,
|  | int | y |
| ) |  |  |

Add an object to the pinboard.

Parameters:

  `[in]` | path | path name of object to be added.
  `[in]` | x | x coordinate of position on pinboard
  `[in]` | y | y coordinate of position on pinboard

void rox_filer_run | ( | const char * | filename | ) |

Call the Run method to run a file.

Parameters:

  `[in]` | filename | name of object to run.

void rox_filer_show | ( | const char * | directory,
|  | const char * | leafname |
| ) |  |  |

Show a directory viewer with the named file highlighted.

Parameters:

  `[in]` | directory | name of directory to show
  `[in]` | leafname | name of file in directory to highlight.

char* rox_filer_version | ( | void |  | ) |

Get ROX-Filer's version string.

Returns:
  version string (pass to g_free() when done), or `NULL` if failed